%% Indls data
% Indst txt2mat funktionen her, som skal indlse jeres PWVdata.lvm fil
% Gem outputtet fra txt2mat i en variabel ved navn data

%% EKG og tryk plot
% Indst to plots vha. subplots herunder, det verste skal vise EKG kurven,
% det nedeste tryk-kurven. Marker kurverne med to forskellige farver og st
% titel samt akse-labels p hver enkelt. Enhederne for akserne er tid i
% sekunder for x og amplitude for y

%% Peak detektion
% Indst to kald til peakdet funktionen herunder. 
% Den kaldes med EKG data som input samt et threshold, som kurven skal
% overstige for at glde som peak. ptid skal endvidere modtage tiden som
% tredie input - i dette tilflde returneres ikke index for peaket, men
% tiden. Dette er meget anvendeligt, nr data skal plottes. pidx skal
% derimod kaldes kun med to input og vil derfor returnere index, som vi
% skal bruge til at klippe trykkurven i stumper.
% Thresholdet skal vlges, s det kun er peaks, som markeres. Du kan med
% fordel kre funktionen ptid=peakdet... uden afsluttende semikolon for at
% se, om de fundne peaks ser rimelige ud. Derefter kan du stte semikolonet
% for at undertrykke output.
ptid = peakdet(%Indst EKG data samt et threshold, og endelig tiden som input 3);
pidx = peakdet(%Indst EKG data samt et threshold uden tid (dvs 2 input);

%% Plot EKG peaks
% Plot EKG peaks som rde stjerner oveni det verste plot fra tidligere.
% Brug hold funktionen hertil.

%% Klip tryk-kurven op i bidder
p = data(:,3);
idx = pidx(:,1);
for i = 1:length(idx)-1;
    bp{i} = % Her skal hente data fra p, startende fra det nuvrende idx til det nste
    bplen(i) = % Denne variabel skal indeholde lngden af det nuvrende bp
end;

%% Standardiser lngden p tryk-kurverne
bpdia = 80;
bpsys = 120;
[m, idxref] = min(abs(bplen-mean(bplen)));
refbeat = bp{idxref};
reflen=length(refbeat)/200;
timeref=linspace(0,reflen,200);

figure(2);clf;hold on;
for i=1:length(idx)-1;
    bpt{i}=linspace(0,reflen,length(bp{i}));
    bpnorm{i}=bpdia+(bpsys-bpdia)*((bp{i}-min(bp{i}))/(max(bp{i})-min(bp{i})));
    bpint(i,:)=interp1(bpt{i},bpnorm{i},timeref);
    % Plot timeref versus den aktuelle bpint kurve som rde, fuldt optrukne linier her
end;

bpmed = % beregn median vrdien af bpint her.
bpmed=filtfilt(ones(1,4)/4,1,bpmed);
% Plot timeref versus bpmed som en fuldt optrukken sort linie med dobbelt bredde
hold off;